FROM debian:11
RUN apt update -y && apt install -y --no-install-recommends openssl apache2 php libapache2-mod-php sqlite3 php-sqlite3 && \
apt clean && \
rm -rf /var/lib/apt/lists/* && \
mkdir -p /etc/postfix/ && \
rm /var/www/html/index.html && \
openssl req -x509 -nodes -days 5000 -newkey rsa:4096 -out /etc/ssl/certs/ssl-cert-snakeoil.pem -keyout /etc/ssl/private/ssl-cert-snakeoil.key -subj "/C=FR/ST=Paris/L=Paris/O=Courtail/OU=Courtail/CN=127.0.0.1" && \
a2enmod ssl && \
a2ensite default-ssl.conf
COPY . /var/www/html/
RUN mv /var/www/html/outils/conf/php.ini /etc/php/7.4/apache2 && \
mv /var/www/html/outils/conf/apache2.conf /etc/apache2/ && \
chmod +x /var/www/html/outils/genenv.sh && \
/var/www/html/outils/genenv.sh

CMD /usr/sbin/apachectl -D FOREGROUND